package com.thinkgem.jeesite.modules.youka.dao;

import com.thinkgem.jeesite.common.persistence.CrudDao;
import com.thinkgem.jeesite.common.persistence.annotation.MyBatisDao;
import com.thinkgem.jeesite.modules.cms.entity.Article;
import com.thinkgem.jeesite.modules.youka.entity.UserSubMchId;
import com.thinkgem.jeesite.modules.youka.entity.YoukaUser;

import java.util.List;

/**
 * @author niehh
 * @Description: 优卡用户
 * @date 2018年03月05日 11:35
 */
@MyBatisDao
public interface YoukaUserDao extends CrudDao<YoukaUser> {

    public List<YoukaUser> findByIdIn(String[] ids);

    public YoukaUser checkRecommend(YoukaUser youkaUser);

    public YoukaUser checkMobile(YoukaUser youkaUser);

    // 根据通道获取Submchid
    public List<UserSubMchId> getUserSubmchid(UserSubMchId userSubMchId);

    public YoukaUser getUserByOrderCode(String orderCode);

}
